Queue a published workflow run with a scoped browser API key

POST
/api/v1/browser/projects/{projectId}/environments/{environmentId}/workflows/{workflowId}/runs

Authorization

BrowserWorkflowApiKey runs:write
X-API-Key<token>

Project- and environment-scoped browser workflow API key.

In: header

Scope: runs:write

Path Parameters

projectId*string
Formatuuid
environmentId*string
Formatuuid
workflowId*string
Formatuuid

Header Parameters

Idempotency-Key?string

Optional. When omitted, the server generates a unique internal key for this submission.

Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/browser/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/workflows/497f6eca-6276-4993-bfeb-53cbbbba6f08/runs" \  -H "Content-Type: application/json" \  -d '{    "workflow_version_id": "60bab57e-9f59-448d-bef4-a6fd602db8a4"  }'
Empty